Subject: Re: [PATCH 2.6.24]S2io: Enhance device error/alarm handling

From: Jeff Garzik <[email-masked]>
Date: Tue, 14 Aug 2007 01:04:25 -0400

Ramkrishna Vepa wrote:
> - Added support to poll for entire set of device errors and alarms.
> - Optimized interrupt routine fast path.
> - Removed the unused variable, intr_type, in device private structure.
> 
> Signed-off-by: Santosh Rastapur <[email-masked]>
> Signed-off-by: Ramkrishna Vepa <[email-masked]>

please split this patch up into multiple patches.

In general it's OK to combine several small, minor changes together, but 
this patch was pretty big.  at that point, you need to start looking 
into splitting up patches into separate logical changes (intr_type clean 
in its own patch, irq handler optimization in its own patch, etc.).

More patches means that each patch is smaller, making it easier to 
review.  It also means that automated tools such as git-bisect can 
easily identify which change created a regression, should one appear.